## com.imcode.imcms.mapping
Class DocumentPermissionSetMapper

    java.lang.Object
      com.imcode.imcms.mapping.DocumentPermissionSetMapper

    public class DocumentPermissionSetMapper

extends java.lang.Object

Copies documents permissions to meta.

Constructor Summary
`DocumentPermissionSetMapper(com.imcode.db.Database database)`

Method Summary
`void` `saveRestrictedDocumentPermissionSets(DocumentDomainObject document, UserDomainObject user, DocumentDomainObject oldDocument)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentPermissionSetMapper

    public DocumentPermissionSetMapper(com.imcode.db.Database database)

Method Detail

### saveRestrictedDocumentPermissionSets

    public void saveRestrictedDocumentPermissionSets(DocumentDomainObject document,
                                                     UserDomainObject user,
                                                     DocumentDomainObject oldDocument)